### Class

# Gdk AppLaunchContext

#### Description [src]

    final class Gdk.AppLaunchContext : Gio.AppLaunchContext {
      /* No available fields */
    }

`GdkAppLaunchContext` handles launching an application in a graphical context.

It is an implementation of `GAppLaunchContext` that provides startup notification and allows to launch applications on a specific screen or workspace.

## Launching an application

“`c GdkAppLaunchContext *context;

context = gdk_display_get_app_launch_context (display);

gdk_app_launch_context_set_display (display); gdk_app_launch_context_set_timestamp (gdk_event_get_time (event));

if (!g_app_info_launch_default_for_uri (“http://www.gtk.org”, context, &error)) g_warning (“Launching failed: %s\n”, error->message);

g_object_unref (context); “`.

#### Hierarchy

#### Ancestors

- GAppLaunchContext
- GObject

#### Instance methods

###### gdk_app_launch_context_get_display

Gets the `GdkDisplay` that `context` is for.

###### gdk_app_launch_context_set_desktop

Sets the workspace on which applications will be launched.

###### gdk_app_launch_context_set_icon

Sets the icon for applications that are launched with this context.

###### gdk_app_launch_context_set_icon_name

Sets the icon for applications that are launched with this context.

###### gdk_app_launch_context_set_timestamp

Sets the timestamp of `context`.

#### Properties

###### Gdk.AppLaunchContext:display

The display that the `GdkAppLaunchContext` is on.